package com.persagy.apm.diagnose.constant;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 
 * 功能描述： 数据库操作常量
 * @类型名称 DBConst
 * @创建者 wanghailong
 * @邮箱 wanghailong@persagy.com  
 * @修改描述
 */
@Component
public class DBConst {

	public static String DATABASE_NAME = "person_service";
	
	/****** 表字段-通用  ******/
	//创建时间，格式yyyyMMddHHmmss
	public final static String TABLE_FIELD_CTEATE_TIME = "create_time";
	//更新时间，格式yyyyMMddHHmmss
	public final static String TABLE_FIELD_UPDATE_TIME = "update_time";
	//数据有效状态，true-有效，false-无效
	public final static String TABLE_FIELD_VALID = "valid";
	
	//应用
	public final static String ID_TAG_APP_REGISTER = "YY";
	//日志
	public final static String LOG_ID_START = "RZ";


	public static class Result {
		public final static String RESULT = "Result";
		public final static String CONTENT = "Content";
		public final static String ITEM = "Item";
		public final static String COUNT = "Count";
		public final static String SUCCESS = "success";
		public final static String FAILURE = "failure";
		public final static String RESULTMSG = "ResultMsg";

		//persagy
		public final static String PERSAGY_RESULT = "result";
		public final static String PERSAGY_REASON = "reason";
		public final static String PERSAGY_CONTENT = "content";
		//版本
		public static final String VERSION = "version";

	}

}
